import sys
cnt = [0]*10000
for _ in range(int(sys.stdin.readline())) :
    cnt[int(sys.stdin.readline().strip())-1] += 1

result = []
for idx, c in enumerate(cnt,start=1) :
    if c :
        for _ in range(c):
            print(idx)